//---------------------------------------------------------------------------
#ifndef GraphMainH
#define GraphMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "bondbox.h"
#include <checklst.hpp>
#include <CheckLst.hpp>
#include "repere.h"


//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Composants grs par l'EDIvoid __fastcall FormClick(TObject *Sender);
    TButton *ButtonSivia;
    TCheckListBox *CheckListBox1;
    TMemo *Memo1;
    TButton *ButtonInit;
    TButton *ButtonCameleon;
    TImage *Image1;
    TImage *Image2;
        TButton *ButtonDrawMotion;
    void __fastcall ButtonSiviaClick(TObject *Sender);
    void __fastcall FormClick(TObject *Sender);
    void __fastcall ButtonInitClick(TObject *Sender);
    void __fastcall ButtonCameleonClick(TObject *Sender);
        void __fastcall ButtonDrawMotionClick(TObject *Sender);
        void __fastcall Image1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);

private:	// Dclarations de l'utilisateur
public:		// Dclarations de l'utilisateur
//    bool smoothpath,drawmotion,displaymotion,cobweb;
  __fastcall TForm1(TComponent* Owner);
  void DrawMotion (bondbox* pB,TColor col);
  void DrawRobot (double x, double theta,TColor col);
  void DrawFullMotion (bondbox* pB);
  void Sivia (bondbox &P) ;
  void Cameleon (bondbox &P);
  void DrawPath (bondbox* pB,TColor c);
  void Dijkstra(bondbox* pA,bondbox* pB,int t1,int t2, int col) ;
  void CleanAll (bondbox* pA);
  void ReseauVersListe(bondbox* pA, TListe &L);
  void DrawCobweb(TListe& L,TColor couleur);





    repere R1,R2;
    bondbox* pA; bondbox* pB;
    bool smoothpath,cobweb;

};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
