#ifndef __BONDBOX__
#define __BONDBOX__


#include "box.h"
#include "dynList.h"
#include "repere.h"

const int n=2;
class bondbox:public box
{
	public:
	TListe left[n+1],right[n+1];
	int inside; //-1 = a l'exterieur ; 0 = On ne sait pas
	int couleur;
	int distance;
	bondbox* passeur;
	bondbox();
        bondbox(int);
	bondbox(bondbox &);
	~bondbox();

	void operator= (bondbox&);

	friend void Bisect(bondbox&, bondbox&, bondbox&);
	friend void BisectAlong (bondbox&,bondbox&,bondbox&,int);
	friend ostream& operator<<(ostream&, bondbox&);
	friend ostream& operator<<(ostream& os, TListe&);
};
void Sivia      (bondbox&);
void Cameleon   (bondbox&);
#endif
