#ifndef __INTERVAL_DYNLIST__
#define __INTERVAL_DYNLIST__

typedef void LTYPE;

class TElt
{   public:	    LTYPE* Object;
	            TElt* Next;
	            TElt* Prev;
};

class TListe
{
public:
	TListe ();
	TListe (TListe&);
	~TListe ();
	void operator= (TListe&);
	LTYPE* GetCurrent (void);
	LTYPE* GetFirst (void);
	LTYPE* Pull (void);
	LTYPE* GetLast (void);
    LTYPE* GetNext (void);
	LTYPE* GetPrev (void);

	void Push (LTYPE*);
	bool IsEmpty (void);
	void Insert (LTYPE*);
	void RemoveCurrent (bool withelement);
	void DeleteAll (bool withelement);
	void RemoveInTheList (LTYPE*);
public:
	TElt* First;
	TElt* Current;
	TElt* Last;
};

#endif
